{% extends "application.html" %}
{% block style %}
<style>
    .modal-dialog {
        min-height: calc(100vh - 60px);
        display: flex;
        flex-direction: column;
        justify-content: center;
        overflow: auto;
    }

    @media (max-width: 768px) {
        .modal-dialog {
            min-height: calc(100vh - 20px);
        }
    }
</style>
{% endblock %}
{% block content %}
<div class="container-fluid">
    <h1 class="h3 mb-2 text-gray-800">Danh sách cuộc trò chuyện</h1>

    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Danh sách trò chuyện</h6>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="table-responsive">
                    <table class="table table-bordered" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Email</th>
                            <th>Tên</th>
                            <th>Tin nhắn chưa đọc</th>
                            <th>Hành động</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for item in list_user %}
                        <tr>
                            <td>{{ loop.index }}</td>
                            <td>{{ item.email }}</td>

                            <td>{{ item.name }}</td>
                            <td >
                                {{ item.message_count }}
                            </td>
                            <td width="15%" class="text-center">
                                <a href="{{ url_for("PatientNotification.message", id=item.id) }}">
                                    <button class="btn btn-sm btn-success">
                                        Xem
                                    </button>
                                </a>
                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="d-flex justify-content-center">
    {{ pagination.links }}
</div>
{% endblock %}

{% block script %}
<script>

</script>
{% endblock %}